apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: bluegreen-staging
spec:
  hosts:
  - app.example.com
  gateways:
  - app/gateway
  http:
  - match:
    - uri:
        prefix: "/staging"
    rewrite:
      uri: "/"
    route:
    - destination:
        host:
        port:
          number: 80